Bug 170719 - [MAINTAINER] games/asteroids3d: Makefile changed, added OptionsNG
Summary: [MAINTAINER] games/asteroids3d: Makefile changed, added OptionsNG
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-18 01:10 UTC by nemysis
Modified: 2012-08-21 09:50 UTC (History)
1 user (show)

See Also:


Attachments
asteroids3d-0.5.1_1.patch (1.03 KB, patch)
2012-08-18 01:10 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-08-18 01:10:09 UTC
Makefile changed, added OptionsNG

Generated with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)
Comment 1 Jason Helfman freebsd_committer 2012-08-18 06:48:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it. 

http://www.freebsd.org/cgi/query-pr.cgi?pr=170719 

Date: Mon, 20 Aug 2012 21:54:08 +0200
Comment 2 dfilter service freebsd_committer 2012-08-21 09:46:00 UTC
Author: jgh
Date: Tue Aug 21 08:45:50 2012
New Revision: 302849
URL: http://svn.freebsd.org/changeset/ports/302849

Log:
  - port requires data installation
  
  PR:	170719
  Submitted by:	maintainer, nemysis@gmx.ch

Modified:
  head/games/asteroids3d/Makefile

Modified: head/games/asteroids3d/Makefile
==============================================================================
--- head/games/asteroids3d/Makefile	Tue Aug 21 08:27:01 2012	(r302848)
+++ head/games/asteroids3d/Makefile	Tue Aug 21 08:45:50 2012	(r302849)
@@ -7,6 +7,7 @@
 
 PORTNAME=	asteroids3d
 PORTVERSION=	0.5.1
+PORTREVISION=	1
 CATEGORIES=	games
 MASTER_SITES=	SF/a3d/${PORTVERSION}/ \
 		LOCAL/madpilot/asteroids3d/:icons
@@ -44,17 +45,20 @@ pre-configure:
 post-patch:
 	@${REINPLACE_CMD} -e 's|/bin/bash|/bin/sh|g' ${WRKSRC}/autogen.sh
 
+.include <bsd.port.options.mk>
+
 do-install:
 	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME:S/3d/3D/} ${PREFIX}/bin/${PORTNAME}
-# Pixmaps
-	${INSTALL_DATA} ${WRKDIR}/${PORTNAME}*.png ${PREFIX}/share/pixmaps
+
 # Data
-.if !defined(NOPORTDATA)
 	${MKDIR} ${DATADIR}
 	@(cd ${WRKSRC}/src && ${COPYTREE_SHARE}  "*.ub *.ppm" ${DATADIR})
-.endif
+
+# Pixmaps
+	${INSTALL_DATA} ${WRKDIR}/${PORTNAME}*.png ${PREFIX}/share/pixmaps
+
 # Documentation
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}
 	${INSTALL_DATA} ${WRKSRC}/README.html ${DOCSDIR}
 .endif
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Jason Helfman freebsd_committer 2012-08-21 09:46:02 UTC
State Changed
From-To: open->closed

Committed. Thanks!